with (import <nixpkgs> {});
let
  asciidoctor_revealjs = bundlerApp {
    pname = "asciidoctor-revealjs";
    exes = [ "asciidoctor-revealjs" ];
    inherit ruby;
    gemdir = ./.;
  };

  revealjs = fetchFromGitHub {
    owner = "hakimel";
    repo = "reveal.js";
    rev = "4.1.2";
    sha256 = "0z42q4wv6ji1vrkbdx52g2jj5qnxv155il2wly70q0vjphdk0kgh";
  };

in derivation {
  name = "cours-cesi-git";
  builder = "${bash}/bin/bash";
  args = [ ./build.sh ];
  inherit asciidoctor asciidoctor_revealjs coreutils jre graphviz revealjs;
  src = ./src;
  #images = ./images;
  system = builtins.currentSystem;
}

